Get the current user's extraction-guidance draft
GET
/api/v1/projects/{projectId}/extraction-guidance/draft
const url = 'https://api.yggy.tech/api/v1/projects/example/extraction-guidance/draft';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/projects/example/extraction-guidance/draft \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Responses
Section titled “ Responses ”Draft, or project-seeded empty fence
Media type application/json
object
draft
required
object
purpose
required
string | null
include
required
Array<string>
skip
required
Array<string>
currentStep
required
string
messages
required
Array<object>
object
role
required
string
content
required
string
baseRevision
required
integer
persisted
required
boolean
Example
{ "draft": { "currentStep": "purpose", "messages": [ { "role": "user" } ] }}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Project not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}